<?php 
date_default_timezone_set('Europe/Ljubljana');


// MySQL user
define("MYSQL_USER", "<MYSQL_USER>");
define("MYSQL_PASS", "<MYSQL_PASS>");

// MySQL Host name
define("WARPIT_HOST", "localhost");
define("DB_WARPIT_MAIN", "<DB_WARPIT_MAIN>");

include_once(PATH_TO_ROOT."_support/class.db.php");
include_once(PATH_TO_ROOT."_support/class.configLoader.php");


$db = new db;
$db->SetDatabaseConnection(MYSQL_USER,MYSQL_PASS,WARPIT_HOST);
//$db->setLogging(1);
configLoader::$db = $db;

$db->ChangeDatabase(DB_WARPIT_MAIN);
$dbConfig = configLoader::loadConfig('database');


// Warpit databases

define("DB_WARPIT_HELP", $dbConfig['table_warpit_webhelp'] );
define("DB_WARPIT_USERSPOOL", $dbConfig['table_warpit_userspool']);
define("DB_WARPIT_WEBCATI", $dbConfig['table_warpit_webcati']);
define("DB_WARPIT_WEBCATI_BASE", $dbConfig['table_warpit_webcati_base']);
define("DB_WARPIT_WEBRECODE", $dbConfig['table_warpit_webrecode']);
define("DB_WARPIT_LIVEUPDATE", $dbConfig['table_warpit_liveupdate']);

$paths = configLoader::loadConfig('paths');

// webproject path
define("WARPIT_WEBPROJECTS", $paths['warpit_webprojects']);
define("WARPIT_WWW", $paths['warpit_www'] );
define("WARPIT_LIVEUPDATE_ZIPVERSION", $paths['live_update_zip_files'] );
// Absolute server path
define("WARPIT_ABSOLUTE", $paths['warpit_absolute']);


define("CAPI_LUVEUPDATE_DONT_UPLOAD_DATA", false);
?>